<template>
  <div class="p-8 mx-auto" style="max-width: 500px;">
    <nuxt />
  </div>
</template>

<style>
  html, body, body > div, body > div > div {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
  }

  * {
    font-family: 'Work Sans', sans-serif;
  }

  a {
    color: black;
    text-decoration: none;
  }

  .leading-sm {
    line-height: 0.8;
  }

  input:focus, textarea:focus {
    outline: none;
    outline-offset: unset;
  }

  .modal-mask {
    position: fixed;
    z-index: 9998;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, .5);
    display: table;
    transition: opacity .3s ease;
    @apply .p-8;
  }

  .modal-wrapper {
    display: table-cell;
    vertical-align: middle;
  }

  .modal-container {
    max-width: 600px;
    min-height: 300px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, .33);
    transition: all .3s ease;
    @apply .p-8;
    @apply .bg-white;
    @apply mx-auto;
  }

  .modal-body {
    margin: 20px 0;
  }
</style>
